# About Slick Lightbox

Provides a simple integration with Slick lightbox.

## REQUIREMENTS
* Slick Lightbox library:
  + Download Slick Lightbox archive from
    [Slick lightbox](https://github.com/mreq/slick-lightbox)
  + Extract it as is, rename **slick-lightbox-master** to **slick-lightbox"**,
    so the asset is available at:  
    **/sites/../libraries/slick-lightbox/dist/slick-lightbox.min.js**

* [Slick](http://dgo.to/slick) (>= 3.x).    


## INSTALLATION
Install the module as usual, more info can be found on:
[Drupal 7](http://drupal.org/documentation/install/modules-themes/modules-7)


## USAGE / CONFIGURATION
Enable this module and its dependency, core image and Blazy modules.

### FIELD FORMATTERS
* Visit **/admin/config/people/accounts/fields**, or **/admin/structure/types**,
  or any fieldable entity, click **Manage display**.
* Under **Format**, choose blazy-related formatters:
  **Blazy**, **Slick carousel**, etc. for image field.
* Click the **Configure** icon.
* Under **Media switcher**, choose **Image to Slick lightbox**. Adjust the rest.

### BLAZY FILTER
* Visit **/admin/config/content/formats/full_html**, etc.
* Enable **Blazy Filter**.
* Under **Media switcher**, choose **Image to Slick lightbox**.


## FEATURES
* Has no formatter, instead integrated into **Media switcher** option as seen at
  Blazy/ Slick formatters, including Blazy Views fields for File Entity and
  Media, and also Blazy Filter for inline images.


## SLICK LIGHTBOX OPTIONSET
We only have one optionset for the Slick lightbox, override it accordingly:
**/admin/config/media/slick/list/slick_lightbox/edit**


## SIMILAR MODULES
[Colorbox](http://dgo.to/colorbox)


## AUTHOR/MAINTAINER/CREDITS
gausarts


## READ MORE
See the project page on drupal.org:

[Slick lightbox module](http://drupal.org/project/slick_lightbox)

See the Slick lightbox images docs at:

* [Slick lightbox at Github](https://github.com/mreq/slick-lightbox)
* [Slick lightbox website](http://mreq.github.io/slick-lightbox/)
